petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexCreatePartitionerGraph

Create a CSR graph of point connections for the partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePartitionerGraph(DM dm, PetscInt height, PetscInt *numVertices, PetscInt **offsets, PetscInt **adjacency)

### Input Parameters

| dm | - The mesh DM dm
| height | - Height of the strata from which to construct the graph

### Output Parameter

| numVertices | - Number of vertices in the graph
| offsets | - Point offsets in the graph

adjacency -Point connectivity in the graph

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and DMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function representation on the mesh.

### See Also

PetscPartitionerGetType(), PetscPartitionerCreate(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages